Skip to main content
GET
/
api
/
v1
/
byok
/
providers
List BYOK provider keys
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/byok/providers \
  --header 'Authorization: Bearer <token>'
{
  "providers": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_validated": true,
      "provider": "openrouter",
      "updated_at": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "location": "<string>"
    }
  ],
  "resource_id": "<string>",
  "resource_type": "user"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Response

List of configured provider keys

providers
object[]
required

List of configured provider keys

resource_id
string
required

The user or team ID

resource_type
enum<string>
required

Whether the keys belong to a user or team

Available options:
user,
team